local appName = "|CWCS:|r ";
local CWCSFrame = CreateFrame("FRAME") CWCSFrame:Hide()

local _debug = false -- Enable to Display debug messages.
function errTxt(msg)
	if ( _debug == true ) then
		print(appName.. " _DEBUG : "..msg);
	end
end

function CWCSFrame:ADDON_LOADED(arg1)
	if arg1 ~= "CWCS" then
                return
	end
		self:UnregisterEvent("ADDON_LOADED")
		print(appName.. "Loaded");
	
end

function CWCSFrame:UNIT_SPELLCAST_SUCCEEDED(unitID, spell, rank, lineID, spellID)
	if unitID == "player" then
		errTxt("Spell cast Succeeded by ".. unitID);
		
		-- Begin Warrior Cleave Replacement
				if spellID == 845 then -- Cleave
					errTxt("Cleave Detected");
					PlaySoundFile("Sound\\Spells\\CleaveTarget.ogg", "SFX")
					errTxt("Sound Played");
				end
	-- End Warrior Cleave Replacement
	
	
	end
end		
CWCSFrame:SetScript("OnEvent", function(self, event, ...) return self[event](self, ...) end)
CWCSFrame:RegisterEvent("ADDON_LOADED")
CWCSFrame:RegisterEvent("UNIT_SPELLCAST_SUCCEEDED")
CWCSFrame:RegisterEvent("PLAYER_DEAD")